
-----------------------------------------------------------------------------
-- PREFS_NODE
-----------------------------------------------------------------------------

CREATE TABLE PREFS_NODE
(
                    NODE_ID INTEGER NOT NULL,
                    PARENT_NODE_ID INTEGER,
                NODE_NAME VARCHAR (100),
                NODE_TYPE SMALLINT,
                FULL_PATH VARCHAR (254),
                CREATION_DATE TIMESTAMP,
                MODIFIED_DATE TIMESTAMP
);

ALTER TABLE PREFS_NODE
    ADD PRIMARY KEY (NODE_ID);


CREATE  INDEX IX_PREFS_NODE_1 ON PREFS_NODE (PARENT_NODE_ID);
CREATE  INDEX IX_PREFS_NODE_2 ON PREFS_NODE (FULL_PATH);





-----------------------------------------------------------------------------
-- PREFS_PROPERTY_VALUE
-----------------------------------------------------------------------------

CREATE TABLE PREFS_PROPERTY_VALUE
(
                    PROPERTY_VALUE_ID INTEGER NOT NULL,
                    NODE_ID INTEGER,
                PROPERTY_NAME VARCHAR (100),
                PROPERTY_VALUE VARCHAR (254),
                CREATION_DATE TIMESTAMP,
                MODIFIED_DATE TIMESTAMP
);

ALTER TABLE PREFS_PROPERTY_VALUE
    ADD PRIMARY KEY (PROPERTY_VALUE_ID);


CREATE  INDEX IX_FKPPV_1 ON PREFS_PROPERTY_VALUE (NODE_ID);





-----------------------------------------------------------------------------
-- PREFS_NODE: FOREIGN KEYS
-----------------------------------------------------------------------------
ALTER TABLE PREFS_NODE
    ADD CONSTRAINT FK_PREFS_NODE_1 FOREIGN KEY (PARENT_NODE_ID)
    REFERENCES PREFS_NODE (NODE_ID)
    ON DELETE CASCADE 
;


-----------------------------------------------------------------------------
-- PREFS_PROPERTY_VALUE: FOREIGN KEYS
-----------------------------------------------------------------------------
ALTER TABLE PREFS_PROPERTY_VALUE
    ADD CONSTRAINT PREFS_PROPERT_FK_1 FOREIGN KEY (NODE_ID)
    REFERENCES PREFS_NODE (NODE_ID)
    ON DELETE CASCADE 
;

