
# -----------------------------------------------------------------------
# PREFS_NODE
# -----------------------------------------------------------------------
drop table if exists PREFS_NODE;

CREATE TABLE PREFS_NODE
(
    NODE_ID MEDIUMINT NOT NULL,
    PARENT_NODE_ID MEDIUMINT,
    NODE_NAME VARCHAR(100),
    NODE_TYPE SMALLINT,
    FULL_PATH VARCHAR(254),
    CREATION_DATE TIMESTAMP,
    MODIFIED_DATE TIMESTAMP,
    PRIMARY KEY(NODE_ID),
    FOREIGN KEY (PARENT_NODE_ID) REFERENCES PREFS_NODE (NODE_ID)
        ON DELETE CASCADE 
  ,
    INDEX IX_PREFS_NODE_1 (PARENT_NODE_ID),
    INDEX IX_PREFS_NODE_2 (FULL_PATH));

# -----------------------------------------------------------------------
# PREFS_PROPERTY_VALUE
# -----------------------------------------------------------------------
drop table if exists PREFS_PROPERTY_VALUE;

CREATE TABLE PREFS_PROPERTY_VALUE
(
    PROPERTY_VALUE_ID MEDIUMINT NOT NULL,
    NODE_ID MEDIUMINT,
    PROPERTY_NAME VARCHAR(100),
    PROPERTY_VALUE VARCHAR(254),
    CREATION_DATE TIMESTAMP,
    MODIFIED_DATE TIMESTAMP,
    PRIMARY KEY(PROPERTY_VALUE_ID),
    FOREIGN KEY (NODE_ID) REFERENCES PREFS_NODE (NODE_ID)
        ON DELETE CASCADE 
  ,
    INDEX IX_FKPPV_1 (NODE_ID));
  
  
